Bug 249373 - [Qt 4.7.1] Lokalize crashes when using backspace
Summary: [Qt 4.7.1] Lokalize crashes when using backspace
Status: RESOLVED UPSTREAM
Alias: None
Product: lokalize
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash with 40 votes (vote)
Target Milestone: ---
Assignee: Nick Shaforostoff
URL:
Keywords:
: 256743 256744 258464 267117 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-08-29 02:52 UTC by Panagiotis Papadopoulos
Modified: 2011-02-25 11:26 UTC (History)
20 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (10.53 KB, text/plain)
2010-11-13 15:21 UTC, Johannes Obermayr
Details
New crash information added by DrKonqi (8.00 KB, text/plain)
2010-11-18 16:44 UTC, Freek de Kruijf
Details
New crash information added by DrKonqi (3.54 KB, text/plain)
2010-11-24 10:47 UTC, opensuse.lietuviu.kalba
Details
New crash information added by DrKonqi (8.01 KB, text/plain)
2010-11-28 13:00 UTC,
Details
New crash information added by DrKonqi (4.10 KB, text/plain)
2010-12-01 13:54 UTC, Vit Pelcak
Details
New crash information added by DrKonqi (9.25 KB, text/plain)
2010-12-09 21:14 UTC, Kristóf Kiszel
Details
New crash information added by DrKonqi (4.89 KB, text/plain)
2011-01-06 06:33 UTC, Bikov Rinat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Panagiotis Papadopoulos 2010-08-29 02:52:09 UTC
Application: lokalize (1.1)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-ARCH x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
- What I was doing when the application crashed:
Opened up Lokalize (with a Project). Then opened a po file through lokalize’s Project page. Afterwards I clicked on a string and then used the backspace in the textbox, where the translation is displayed. Lokalize immediately crashed.
- Custom settings of the application:
Crashing with Qt 4.7, Lokalize from the KDE 4.5 stable branch.
However with Qt 4.6 it does not crash…

The crash can be reproduced every time.

-- Backtrace:
Application: Lokalize (lokalize), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f8805cc2760 (LWP 28046))]

Thread 3 (Thread 0x7f87f3142710 (LWP 28047)):
#0  0x00007f87fff2540c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f88025d68bb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f88044da1d6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#3  0x00007f88044dc583 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#4  0x00007f88044db47f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f88044db508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f88025d61ce in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f87fff20cb0 in start_thread () from /lib/libpthread.so.0
#8  0x00007f8801d397ad in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f87f26c5710 (LWP 28050)):
#0  0x00007f87fff2540c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f88025d68bb in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f88044da1d6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#3  0x00007f88044dc583 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#4  0x00007f88044db47f in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#5  0x00007f88044db508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f88025d61ce in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f87fff20cb0 in start_thread () from /lib/libpthread.so.0
#8  0x00007f8801d397ad in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f8805cc2760 (LWP 28046)):
[KCrash Handler]
#6  0x00007f8802e37cd0 in QTextLayout::lineCount() const () from /usr/lib/libQtGui.so.4
#7  0x00007f8802e8509c in ?? () from /usr/lib/libQtGui.so.4
#8  0x00007f8802e86beb in ?? () from /usr/lib/libQtGui.so.4
#9  0x00007f8802e89ec5 in QTextCursor::movePosition(QTextCursor::MoveOperation, QTextCursor::MoveMode, int) () from /usr/lib/libQtGui.so.4
#10 0x00007f8802e8a2ac in QTextCursor::select(QTextCursor::SelectionType) () from /usr/lib/libQtGui.so.4
#11 0x000000000044f94e in TranslationUnitTextEdit::toPlainText (this=<value optimized out>) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:895
#12 0x0000000000453ce4 in TranslationUnitTextEdit::contentsChanged (this=0x1511820, offset=20, charsRemoved=1, charsAdded=0)
    at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:431
#13 0x0000000000454600 in TranslationUnitTextEdit::qt_metacall (this=0x1511820, _c=QMetaObject::InvokeMetaMethod, _id=42, _a=0x7fffd28c5f40)
    at /mnt/data/kde-build/kdesdk/src/build/lokalize/src/xlifftextedit.moc:201
#14 0x00007f88026d31d7 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0x00007f8803250b3a in QTextDocument::contentsChange(int, int, int) () from /usr/lib/libQtGui.so.4
#16 0x00007f8802e5d714 in ?? () from /usr/lib/libQtGui.so.4
#17 0x00007f8802e5f66f in ?? () from /usr/lib/libQtGui.so.4
#18 0x00007f8802e5f716 in ?? () from /usr/lib/libQtGui.so.4
#19 0x00007f8802e84e55 in ?? () from /usr/lib/libQtGui.so.4
#20 0x00007f8802e8a6c7 in QTextCursor::deletePreviousChar() () from /usr/lib/libQtGui.so.4
#21 0x00007f8802e281ed in ?? () from /usr/lib/libQtGui.so.4
#22 0x00007f8802e29383 in QTextControl::processEvent(QEvent*, QMatrix const&, QWidget*) () from /usr/lib/libQtGui.so.4
#23 0x00007f8802e1f42a in QTextControl::processEvent(QEvent*, QPointF const&, QWidget*) () from /usr/lib/libQtGui.so.4
#24 0x00007f8803046986 in QTextEdit::keyPressEvent(QKeyEvent*) () from /usr/lib/libQtGui.so.4
#25 0x00007f88049ee3d7 in KTextEdit::keyPressEvent(QKeyEvent*) () from /usr/lib/libkdeui.so.5
#26 0x0000000000450ebe in TranslationUnitTextEdit::keyPressEvent (this=0x1511820, keyEvent=0x7fffd28c73b0) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:878
#27 0x00007f8802c38c63 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#28 0x00007f8802fdca56 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#29 0x00007f880305d99b in QAbstractScrollArea::event(QEvent*) () from /usr/lib/libQtGui.so.4
#30 0x00007f880304a0b0 in QTextEdit::event(QEvent*) () from /usr/lib/libQtGui.so.4
#31 0x000000000045138b in TranslationUnitTextEdit::event (this=0x1511820, event=0x7fffd28c73b0) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:1110
#32 0x00007f8802be7764 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#33 0x00007f8802beca27 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#34 0x00007f8804900146 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#35 0x00007f88026bde9b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#36 0x00007f8802c8747a in ?? () from /usr/lib/libQtGui.so.4
#37 0x00007f8802c878cf in ?? () from /usr/lib/libQtGui.so.4
#38 0x00007f8802c6465b in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#39 0x00007f8802c8b942 in ?? () from /usr/lib/libQtGui.so.4
#40 0x00007f87fe7b1b33 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#41 0x00007f87fe7b2310 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#42 0x00007f87fe7b25ad in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#43 0x00007f88026e8dbf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#44 0x00007f8802c8b5ee in ?? () from /usr/lib/libQtGui.so.4
#45 0x00007f88026bd242 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#46 0x00007f88026bd484 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#47 0x00007f88026c193b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#48 0x00000000004363f4 in main (argc=2, argv=0x7fffd28c8998) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/main.cpp:118

Reported using DrKonqi
Comment 1 Panagiotis Papadopoulos 2010-09-03 01:25:29 UTC
Application: Lokalize (lokalize), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f69e843b760 (LWP 11310))]

Thread 3 (Thread 0x7f69d54ae710 (LWP 11312)):
#0  0x00007f69e264840c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f69e4cf56cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x13bca00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x13bca00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f69e6c5a1d6 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f69e6c5c583 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f69e6c5b47f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f69e6c5b508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f69e4cf4e97 in QThreadPrivate::start (arg=0x17552a0) at thread/qthread_unix.cpp:274
#8  0x00007f69e2643cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007f69e44657ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f69cdce6710 (LWP 11321)):
#0  0x00007f69e264840c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f69e4cf56cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x13c0c80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x13c0c80, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f69e6c5a1d6 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f69e6c5c583 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f69e6c5b47f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f69e6c5b508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f69e4cf4e97 in QThreadPrivate::start (arg=0x1ac42f0) at thread/qthread_unix.cpp:274
#8  0x00007f69e2643cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007f69e44657ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f69e843b760 (LWP 11310)):
[KCrash Handler]
#6  QVector<QScriptLine>::size (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007f69e55bdc1c in QTextCursorPrivate::blockLayout (this=0x215cfb0, block=...) at text/qtextcursor.cpp:854
#9  0x00007f69e55c01ba in QTextCursorPrivate::movePosition (this=0x215cfb0, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007f69e55c3790 in QTextCursor::movePosition (this=0x7fffe998a190, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
#11 0x00007f69e55c3bbc in QTextCursor::select (this=0x7fffe998a190, selection=QTextCursor::Document) at text/qtextcursor.cpp:1548
#12 0x0000000000450fce in _start ()


New backtrace information, after compiling Qt with debugging switch
Comment 2 Panagiotis Papadopoulos 2010-09-03 01:32:05 UTC
Application: Lokalize (lokalize), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4590ad9760 (LWP 16985))]

Thread 3 (Thread 0x7f457db4c710 (LWP 16986)):
#0  0x00007f458ace640c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f458d3936cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f54990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f54990, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f458f2f81d6 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f458f2fa583 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f458f2f947f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f458f2f9508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f458d392e97 in QThreadPrivate::start (arg=0x22ea090) at thread/qthread_unix.cpp:274
#8  0x00007f458ace1cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007f458cb037ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f45776e2710 (LWP 16988)):
#0  0x00007f458ace640c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f458d3936cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1f58b70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1f58b70, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f458f2f81d6 in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f458f2fa583 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f458f2f947f in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f458f2f9508 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f458d392e97 in QThreadPrivate::start (arg=0x1fa7980) at thread/qthread_unix.cpp:274
#8  0x00007f458ace1cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007f458cb037ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4590ad9760 (LWP 16985)):
[KCrash Handler]
#6  QVector<QScriptLine>::size (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007f458dc5bc1c in QTextCursorPrivate::blockLayout (this=0x7f4578141820, block=...) at text/qtextcursor.cpp:854
#9  0x00007f458dc5e1ba in QTextCursorPrivate::movePosition (this=0x7f4578141820, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007f458dc61790 in QTextCursor::movePosition (this=0x7fff3c471f30, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
#11 0x00007f458dc61bbc in QTextCursor::select (this=0x7fff3c471f30, selection=QTextCursor::Document) at text/qtextcursor.cpp:1548
#12 0x000000000044f94e in TranslationUnitTextEdit::toPlainText (this=<value optimized out>) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:895
#13 0x0000000000453ce4 in TranslationUnitTextEdit::contentsChanged (this=0x24fada0, offset=0, charsRemoved=1, charsAdded=0) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:431
#14 0x0000000000454600 in TranslationUnitTextEdit::qt_metacall (this=0x24fada0, _c=QMetaObject::InvokeMetaMethod, _id=42, _a=0x7fff3c472220)
    at /mnt/data/kde-build/kdesdk/src/build/lokalize/src/xlifftextedit.moc:201
#15 0x00007f458d4a05af in QMetaObject::activate (sender=0x246fb50, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff3c472220) at kernel/qobject.cpp:3272
#16 0x00007f458e059c0a in QTextDocument::contentsChange (this=<value optimized out>, _t1=0, _t2=1, _t3=0) at .moc/debug-shared/moc_qtextdocument.cpp:188
#17 0x00007f458dc328d4 in QTextDocumentPrivate::finishEdit (this=0x250dde0) at text/qtextdocument_p.cpp:1213
#18 0x00007f458dc355b4 in QTextDocumentPrivate::move (this=0x250dde0, pos=<value optimized out>, to=<value optimized out>, length=<value optimized out>, op=QTextUndoCommand::MoveCursor)
    at text/qtextdocument_p.cpp:666
#19 0x00007f458dc35a16 in QTextDocumentPrivate::remove (this=0x250dde0, pos=0, length=1, op=QTextUndoCommand::MoveCursor) at text/qtextdocument_p.cpp:674
#20 0x00007f458dc5b985 in QTextCursorPrivate::remove (this=0x7f45781156c0) at text/qtextcursor.cpp:175
#21 0x00007f458dc62053 in QTextCursor::deletePreviousChar (this=0x7fff3c472570) at text/qtextcursor.cpp:1511
#22 0x00007f458dbf671d in QTextControlPrivate::keyPressEvent (this=0x250dc70, e=0x7fff3c473700) at text/qtextcontrol.cpp:1207
#23 0x00007f458dbf8193 in QTextControl::processEvent (this=<value optimized out>, e=0x7fff3c473700, matrix=..., contextWidget=0x24f27a0) at text/qtextcontrol.cpp:930
#24 0x00007f458dbee09a in QTextControl::processEvent (this=0x2466910, e=0x7fff3c473700, coordinateOffset=..., contextWidget=0x24f27a0) at text/qtextcontrol.cpp:890
#25 0x00007f458de1ed88 in QTextEditPrivate::sendControlEvent (this=<value optimized out>, e=0x7fff3c473700) at widgets/qtextedit_p.h:99
#26 QTextEdit::keyPressEvent (this=<value optimized out>, e=0x7fff3c473700) at widgets/qtextedit.cpp:1296
#27 0x00007f458f80c707 in KTextEdit::keyPressEvent(QKeyEvent*) () from /usr/lib/libkdeui.so.5
#28 0x0000000000450ebe in TranslationUnitTextEdit::keyPressEvent (this=0x24fada0, keyEvent=0x7fff3c473700) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:878
#29 0x00007f458d9dad2a in QWidget::event (this=0x24fada0, event=0x7fff3c473700) at kernel/qwidget.cpp:8235
#30 0x00007f458ddacf26 in QFrame::event (this=0x24fada0, e=0x7fff3c473700) at widgets/qframe.cpp:557
#31 0x00007f458de3769b in QAbstractScrollArea::event (this=0x24fada0, e=0x7fff3c473700) at widgets/qabstractscrollarea.cpp:996
#32 0x00007f458de22540 in QTextEdit::event (this=0x24fada0, e=0x7fff3c473700) at widgets/qtextedit.cpp:1070
#33 0x000000000045138b in TranslationUnitTextEdit::event (this=0x24fada0, event=0x7fff3c473700) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:1110
#34 0x00007f458d981eb4 in QApplicationPrivate::notify_helper (this=0x1da6750, receiver=0x24fada0, e=0x7fff3c473700) at kernel/qapplication.cpp:4399
#35 0x00007f458d987cd6 in QApplication::notify (this=<value optimized out>, receiver=0x24fada0, e=0x7fff3c473700) at kernel/qapplication.cpp:3860
#36 0x00007f458f71ea76 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#37 0x00007f458d488feb in QCoreApplication::notifyInternal (this=0x7fff3c474680, receiver=0x24fada0, event=0x7fff3c473700) at kernel/qcoreapplication.cpp:732
#38 0x00007f458da2ca6a in QKeyMapper::sendKeyEvent (keyWidget=0x24fada0, grab=<value optimized out>, type=QEvent::KeyPress, code=16777219, modifiers=<value optimized out>, text=..., 
    autorepeat=false, count=1, nativeScanCode=22, nativeVirtualKey=65288, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1867
#39 0x00007f458da2cebf in QKeyMapperPrivate::translateKeyEvent (this=<value optimized out>, keyWidget=0x24fada0, event=<value optimized out>, grab=false) at kernel/qkeymapper_x11.cpp:1837
#40 0x00007f458da086ad in QApplication::x11ProcessEvent (this=0x7fff3c474680, event=0x7fff3c4742b0) at kernel/qapplication_x11.cpp:3429
#41 0x00007f458da31162 in x11EventSourceDispatch (s=0x1daa5b0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#42 0x00007f4589572b33 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#43 0x00007f4589573310 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#44 0x00007f45895735ad in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#45 0x00007f458d4b705f in QEventDispatcherGlib::processEvents (this=0x1d68c00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#46 0x00007f458da30dfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007f458d487a92 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#48 0x00007f458d487cd5 in QEventLoop::exec (this=0x7fff3c4745b0, flags=...) at kernel/qeventloop.cpp:201
#49 0x00007f458d48d229 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#50 0x00000000004363f4 in main (argc=1, argv=0x7fff3c474ce8) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/main.cpp:118


I forgot to compile Lokalize with debugging too in my previous backtrace…
This backtrace was created with Qt *and* Lokalize with debugging symbols. According to drkonqi the BT should be helpful :-D :-P
Comment 3 Panagiotis Papadopoulos 2010-09-03 13:05:07 UTC
Application: Lokalize (lokalize), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fdb7a1c1760 (LWP 25870))]

Thread 3 (Thread 0x7fdb66ba6710 (LWP 25872)):
#0  0x00007fdb75c2640c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fdb76a336cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x18d6340, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18d6340, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fdb789a98c4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18d5f50, th=0x1c6d010)
    at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fdb789abf53 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18d6420, th=0x1c6d010) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fdb789aad3f in ThreadWeaver::ThreadRunHelper::run (this=0x7fdb66ba5e30, parent=0x18d5f50, th=0x1c6d010) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fdb789aadc8 in ThreadWeaver::Thread::run (this=0x1c6d010) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fdb76a32e97 in QThreadPrivate::start (arg=0x1c6d010) at thread/qthread_unix.cpp:274
#8  0x00007fdb75c21cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007fdb761a37ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fdb5ffff710 (LWP 25875)):
#0  0x00007fdb75c2640c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fdb76a336cb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x18db610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x18db610, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007fdb789a98c4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x18db220, th=0x1c14ab0)
    at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fdb789abf53 in ThreadWeaver::WorkingHardState::applyForWork (this=0x18db730, th=0x1c14ab0) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fdb789aad3f in ThreadWeaver::ThreadRunHelper::run (this=0x7fdb5fffee30, parent=0x18db220, th=0x1c14ab0) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fdb789aadc8 in ThreadWeaver::Thread::run (this=0x1c14ab0) at /mnt/data/kde-build/kdelibs/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fdb76a32e97 in QThreadPrivate::start (arg=0x1c14ab0) at thread/qthread_unix.cpp:274
#8  0x00007fdb75c21cb0 in start_thread () from /lib/libpthread.so.0
#9  0x00007fdb761a37ad in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdb7a1c1760 (LWP 25870)):
[KCrash Handler]
#6  QVector<QScriptLine>::size (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007fdb772fbc1c in QTextCursorPrivate::blockLayout (this=0x7fdb60085850, block=...) at text/qtextcursor.cpp:854
#9  0x00007fdb772fe1ba in QTextCursorPrivate::movePosition (this=0x7fdb60085850, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007fdb77301790 in QTextCursor::movePosition (this=0x7fffb2ae6bc0, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
#11 0x00007fdb77301bbc in QTextCursor::select (this=0x7fffb2ae6bc0, selection=QTextCursor::Document) at text/qtextcursor.cpp:1548
#12 0x000000000044f94e in TranslationUnitTextEdit::toPlainText (this=<value optimized out>) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:895
#13 0x0000000000453ce4 in TranslationUnitTextEdit::contentsChanged (this=0x1e660b0, offset=0, charsRemoved=1, charsAdded=0) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:431
#14 0x0000000000454600 in TranslationUnitTextEdit::qt_metacall (this=0x1e660b0, _c=QMetaObject::InvokeMetaMethod, _id=42, _a=0x7fffb2ae6eb0)
    at /mnt/data/kde-build/kdesdk/src/build/lokalize/src/xlifftextedit.moc:201
#15 0x00007fdb76b405af in QMetaObject::activate (sender=0x1cf0e70, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffb2ae6eb0) at kernel/qobject.cpp:3272
#16 0x00007fdb776f9c0a in QTextDocument::contentsChange (this=<value optimized out>, _t1=0, _t2=1, _t3=0) at .moc/debug-shared/moc_qtextdocument.cpp:188
#17 0x00007fdb772d28d4 in QTextDocumentPrivate::finishEdit (this=0x1e79610) at text/qtextdocument_p.cpp:1213
#18 0x00007fdb772d55b4 in QTextDocumentPrivate::move (this=0x1e79610, pos=<value optimized out>, to=<value optimized out>, length=<value optimized out>, op=QTextUndoCommand::MoveCursor)
    at text/qtextdocument_p.cpp:666
#19 0x00007fdb772d5a16 in QTextDocumentPrivate::remove (this=0x1e79610, pos=0, length=1, op=QTextUndoCommand::MoveCursor) at text/qtextdocument_p.cpp:674
#20 0x00007fdb772fb985 in QTextCursorPrivate::remove (this=0x7fdb60085cc0) at text/qtextcursor.cpp:175
#21 0x00007fdb77302053 in QTextCursor::deletePreviousChar (this=0x7fffb2ae7200) at text/qtextcursor.cpp:1511
#22 0x00007fdb7729671d in QTextControlPrivate::keyPressEvent (this=0x1e794a0, e=0x7fffb2ae8390) at text/qtextcontrol.cpp:1207
#23 0x00007fdb77298193 in QTextControl::processEvent (this=<value optimized out>, e=0x7fffb2ae8390, matrix=..., contextWidget=0x1e5db80) at text/qtextcontrol.cpp:930
#24 0x00007fdb7728e09a in QTextControl::processEvent (this=0x1ce6c60, e=0x7fffb2ae8390, coordinateOffset=..., contextWidget=0x1e5db80) at text/qtextcontrol.cpp:890
#25 0x00007fdb774bed88 in QTextEditPrivate::sendControlEvent (this=<value optimized out>, e=0x7fffb2ae8390) at widgets/qtextedit_p.h:99
#26 QTextEdit::keyPressEvent (this=<value optimized out>, e=0x7fffb2ae8390) at widgets/qtextedit.cpp:1296
#27 0x00007fdb78ed67b7 in KTextEdit::keyPressEvent (this=0x1e660b0, event=0x7fffb2ae8390) at /mnt/data/kde-build/kdelibs/src/kdelibs/kdeui/widgets/ktextedit.cpp:1078
#28 0x0000000000450ebe in TranslationUnitTextEdit::keyPressEvent (this=0x1e660b0, keyEvent=0x7fffb2ae8390) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:878
#29 0x00007fdb7707ad2a in QWidget::event (this=0x1e660b0, event=0x7fffb2ae8390) at kernel/qwidget.cpp:8235
#30 0x00007fdb7744cf26 in QFrame::event (this=0x1e660b0, e=0x7fffb2ae8390) at widgets/qframe.cpp:557
#31 0x00007fdb774d769b in QAbstractScrollArea::event (this=0x1e660b0, e=0x7fffb2ae8390) at widgets/qabstractscrollarea.cpp:996
#32 0x00007fdb774c2540 in QTextEdit::event (this=0x1e660b0, e=0x7fffb2ae8390) at widgets/qtextedit.cpp:1070
#33 0x000000000045138b in TranslationUnitTextEdit::event (this=0x1e660b0, event=0x7fffb2ae8390) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/xlifftextedit.cpp:1110
#34 0x00007fdb77021eb4 in QApplicationPrivate::notify_helper (this=0x1780720, receiver=0x1e660b0, e=0x7fffb2ae8390) at kernel/qapplication.cpp:4399
#35 0x00007fdb77027cd6 in QApplication::notify (this=<value optimized out>, receiver=0x1e660b0, e=0x7fffb2ae8390) at kernel/qapplication.cpp:3860
#36 0x00007fdb78de6776 in KApplication::notify (this=0x7fffb2ae9310, receiver=0x1e660b0, event=0x7fffb2ae8390) at /mnt/data/kde-build/kdelibs/src/kdelibs/kdeui/kernel/kapplication.cpp:310
#37 0x00007fdb76b28feb in QCoreApplication::notifyInternal (this=0x7fffb2ae9310, receiver=0x1e660b0, event=0x7fffb2ae8390) at kernel/qcoreapplication.cpp:732
#38 0x00007fdb770cca6a in QKeyMapper::sendKeyEvent (keyWidget=0x1e660b0, grab=<value optimized out>, type=QEvent::KeyPress, code=16777219, modifiers=<value optimized out>, text=..., 
    autorepeat=false, count=1, nativeScanCode=22, nativeVirtualKey=65288, nativeModifiers=16) at kernel/qkeymapper_x11.cpp:1867
#39 0x00007fdb770ccebf in QKeyMapperPrivate::translateKeyEvent (this=<value optimized out>, keyWidget=0x1e660b0, event=<value optimized out>, grab=false) at kernel/qkeymapper_x11.cpp:1837
#40 0x00007fdb770a86ad in QApplication::x11ProcessEvent (this=0x7fffb2ae9310, event=0x7fffb2ae8f40) at kernel/qapplication_x11.cpp:3429
#41 0x00007fdb770d1162 in x11EventSourceDispatch (s=0x1784550, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#42 0x00007fdb7182cb33 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#43 0x00007fdb7182d310 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#44 0x00007fdb7182d5ad in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#45 0x00007fdb76b5705f in QEventDispatcherGlib::processEvents (this=0x1742cd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#46 0x00007fdb770d0dfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#47 0x00007fdb76b27a92 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#48 0x00007fdb76b27cd5 in QEventLoop::exec (this=0x7fffb2ae9240, flags=...) at kernel/qeventloop.cpp:201
#49 0x00007fdb76b2d229 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#50 0x00000000004363f4 in main (argc=1, argv=0x7fffb2ae9978) at /mnt/data/kde-build/kdesdk/src/kdesdk/lokalize/src/main.cpp:118


Backtrace with Qt, kdelibs and Lokalize build with debugging symbols…
Comment 4 Alexander Potashev 2010-11-12 22:59:36 UTC
*** Bug 256744 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2010-11-13 05:09:34 UTC
*** Bug 256743 has been marked as a duplicate of this bug. ***
Comment 6 Panagiotis Papadopoulos 2010-11-13 14:09:12 UTC
With Qt 4.7.0 there were no crashes at all, but now after updating to 4.7.1 the crashes are there again…
Comment 7 Manuel Tortosa 2010-11-13 14:13:56 UTC
Obvioulsy in Chakra's Qt it's the same issue, the bug it's introduced with Qt 4.7.1
Comment 8 Johannes Obermayr 2010-11-13 15:21:12 UTC
Created attachment 53392 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.76 (4.6 >= 20101111) "release 4" using Qt 4.7.1

Qt 4.7.1 / KDE 4.5.76
(full backtrace with all available debug packages)

-- Backtrace (Reduced):
#7  0xb65a93d4 in size (this=0x0) at ../../src/corelib/tools/qvector.h:124
#8  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#9  0xb65fcd90 in QTextCursorPrivate::blockLayout (this=0x960e990, block=...) at text/qtextcursor.cpp:854
#10 0xb65feb4b in QTextCursorPrivate::movePosition (this=0x960e990, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#11 0xb6602055 in QTextCursor::movePosition (this=0xbff9adc8, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
Comment 9 Freek de Kruijf 2010-11-18 16:44:16 UTC
Created attachment 53523 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.7.1

- What I was doing when the application crashed:

Just the same as the first reporter, pressed Backspace and immediate a crash.

-- Backtrace (Reduced):
#6  size (this=0x0) at ../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007f6c782d6d0c in QTextCursorPrivate::blockLayout (this=0x1dcae70, block=...) at text/qtextcursor.cpp:854
#9  0x00007f6c782d871c in QTextCursorPrivate::movePosition (this=0x1dcae70, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007f6c782dba86 in QTextCursor::movePosition (this=0x7fff36299e80, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
Comment 10 opensuse.lietuviu.kalba 2010-11-24 10:47:55 UTC
Created attachment 53687 [details]
New crash information added by DrKonqi

lokalize (1.0) on KDE Platform 4.5.3 (KDE 4.5.3) "release 8" using Qt 4.7.1

- What I was doing when the application crashed:

I opened translation project with Lokalize, pressed F7, found word „CPU“, marked it in list, opened .po file, wented to end of word, pressed Backspace.

I use Qt4.7

-- Backtrace (Reduced):
#6  size (this=0x0) at ../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007f039ae58d0c in QTextCursorPrivate::blockLayout (this=0x16954d0, block=...) at text/qtextcursor.cpp:854
#9  0x00007f039ae5a71c in QTextCursorPrivate::movePosition (this=0x16954d0, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007f039ae5da86 in QTextCursor::movePosition (this=0x7fff3e8c7cc0, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
Comment 11 opensuse.lietuviu.kalba 2010-11-24 14:02:49 UTC
For me it crashes only if Backspace is pressed in the *end* of translation field (field for lokalized message)
Comment 12 Johannes Obermayr 2010-11-27 00:14:06 UTC
I filed a bug report upstream:

http://bugreports.qt.nokia.com/browse/QTBUG-15659
Comment 13 2010-11-28 13:00:54 UTC
Created attachment 53823 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.81 (4.6 >=20101125) using Qt 4.7.1

- What I was doing when the application crashed:

After write something i have pressed the backspace button and lokalize crashed.
This happens all the time

-- Backtrace (Reduced):
#6  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:797
#7  0x00007faa6238e0fc in QTextCursorPrivate::blockLayout (this=0x1054310, block=...) at text/qtextcursor.cpp:854
#8  0x00007faa623915ec in QTextCursorPrivate::movePosition (this=0x1054310, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#9  0x00007faa623939af in QTextCursor::movePosition (this=0x7fff9861a650, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
#10 0x00007faa623959c4 in QTextCursor::select (this=0x7fff9861a650, selection=QTextCursor::Document) at text/qtextcursor.cpp:1548
Comment 14 Vit Pelcak 2010-12-01 13:54:33 UTC
Created attachment 53939 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.81 (4.6 >=20101125) "release 5" using Qt 4.7.1

- What I was doing when the application crashed:

Whenever I press backspace, Lokalize crashes. Adding by backtrace which might be usefull.

-- Backtrace (Reduced):
#6  size (this=0x0) at ../../src/corelib/tools/qvector.h:124
#7  QTextLayout::lineCount (this=0x0) at text/qtextlayout.cpp:798
#8  0x00007fb6bfa03d0c in QTextCursorPrivate::blockLayout (this=0x1d20b70, block=...) at text/qtextcursor.cpp:854
#9  0x00007fb6bfa0571c in QTextCursorPrivate::movePosition (this=0x1d20b70, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor) at text/qtextcursor.cpp:378
#10 0x00007fb6bfa08a86 in QTextCursor::movePosition (this=0x7fff9d2b8840, op=QTextCursor::Start, mode=QTextCursor::MoveAnchor, n=1) at text/qtextcursor.cpp:1225
Comment 15 Nick Shaforostoff 2010-12-01 14:29:59 UTC
please vote for http://bugreports.qt.nokia.com/browse/QTBUG-15659
Comment 16 Pino Toscano 2010-12-01 21:05:03 UTC
*** Bug 258464 has been marked as a duplicate of this bug. ***
Comment 17 Kevin Kofler 2010-12-05 05:37:17 UTC
On http://bugreports.qt.nokia.com/browse/QTBUG-15659 you say this is new in 4.7.1, yet the original report here says 4.7.0.
Comment 18 Kevin Kofler 2010-12-05 05:48:28 UTC
My gut feeling is suspecting this:
http://qt.gitorious.org/qt/qt/commit/f62f6effab8d1551d8e5e5843dc478addee96de1
to be the offending commit, due to what it touches, when it went in, and the fact that it also triggered another crash, which was fixed by a followup:
http://qt.gitorious.org/qt/qt/commit/3cf6e87b17d6ca722eea804d8e758879836f63fd
Comment 19 Frederik Schwarzer 2010-12-07 13:20:49 UTC
I think there was a related fix in Psi today:
http://redmine.psi-im.org/repositories/diff/psi/src/widgets/psitextview.cpp?rev=314b537b2dbfebd54ff95b321681d2c44d20293b
Comment 20 Johannes Obermayr 2010-12-08 21:34:29 UTC
Please vote for:
http://bugreports.qt.nokia.com/browse/QTBUG-15975

May we can force a new release ...
Comment 21 Kevin Kofler 2010-12-08 21:40:53 UTC
Upstream fix:
http://qt.gitorious.org/qt/qt/commit/6ae84f1183e91c910ca92a55e37f8254ace805c0

Let's get that into distro packages ASAP.
Comment 22 Panagiotis Papadopoulos 2010-12-08 22:29:23 UTC
bug report for Arch Linux’ Qt packages:
https://bugs.archlinux.org/task/22025
Comment 23 Frederik Schwarzer 2010-12-08 23:50:35 UTC
Debian (text bluntly stolen :)):
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=606405
Comment 24 Marek Laane 2010-12-09 00:00:17 UTC
BR for Mandriva: https://qa.mandriva.com/show_bug.cgi?id=61899
Comment 25 Kevin Kofler 2010-12-09 01:25:16 UTC
Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=660028
Already being fixed.
Comment 26 Kristóf Kiszel 2010-12-09 21:14:34 UTC
Created attachment 54369 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.85 (4.6 Beta2) using Qt 4.7.1

- What I was doing when the application crashed:

I started Lokalize and it loaded the project files. Then I clicked on a *.po file to open, and when I started to type something Lokalize crashed immediately when Space or Backspace was pressed.

-- Backtrace (Reduced):
#7  0x029817e7 in QTextLayout::lineCount() const () from /usr/lib/libQtGui.so.4
#8  0x029d321f in QTextCursorPrivate::blockLayout(QTextBlock&) const () from /usr/lib/libQtGui.so.4
#9  0x029d4f4e in QTextCursorPrivate::movePosition(QTextCursor::MoveOperation, QTextCursor::MoveMode) () from /usr/lib/libQtGui.so.4
#10 0x029d8254 in QTextCursor::movePosition(QTextCursor::MoveOperation, QTextCursor::MoveMode, int) () from /usr/lib/libQtGui.so.4
#11 0x029d8648 in QTextCursor::select(QTextCursor::SelectionType) () from /usr/lib/libQtGui.so.4
Comment 27 Frederik Schwarzer 2010-12-19 23:06:30 UTC
For Debian there were new packages (4.7.1-2) uploaded to experimental containing the upstream fix.

I guess this report can be closed as Upstream then?
Comment 28 Alam 2010-12-20 05:35:13 UTC
I am facing New problem with this fix on Fedora. Can someone from other Distrution please try to reproduce with following steps?

---
How reproducible:
Random

Steps to Reproduce:
1. run lokalize with translation file (PO file [1])
2. input something in local language (other than English)
3. Use BackSpace to delete some (not all)
5. Page Down (Move to next string)
6. Page Up (Move back to original String

Actual results:
Junk data inserted in text field automatically, which is not typed

Expected results:
Only Text should be there, which is typed, works fine with BackSpace
--

Copy from Fedora bug: https://bugzilla.redhat.com/show_bug.cgi?id=663845
Comment 29 Kristóf Kiszel 2010-12-20 07:13:15 UTC
I can confirm this on Kubuntu 11.04 Natty Narwhal. After applying the patch from Qt and rebuilding the packages, Lokalize doesn't crash when hitting Backspace or Space, but sometime leave junk in the translated messages.

(In reply to comment #28)
> I am facing New problem with this fix on Fedora. Can someone from other
> Distrution please try to reproduce with following steps?
> 
> ---
> How reproducible:
> Random
> 
> Steps to Reproduce:
> 1. run lokalize with translation file (PO file [1])
> 2. input something in local language (other than English)
> 3. Use BackSpace to delete some (not all)
> 5. Page Down (Move to next string)
> 6. Page Up (Move back to original String
> 
> Actual results:
> Junk data inserted in text field automatically, which is not typed
> 
> Expected results:
> Only Text should be there, which is typed, works fine with BackSpace
> --
> 
> Copy from Fedora bug: https://bugzilla.redhat.com/show_bug.cgi?id=663845
Comment 30 Vit Pelcak 2010-12-20 07:56:17 UTC
Same in openSUSE with trunk KDE installed. Junk left in strings.
Comment 31 Panagiotis Papadopoulos 2010-12-20 13:26:56 UTC
I can confirm the junk problem on Arch Linux too…
Comment 32 Marian Kyral 2010-12-22 11:19:04 UTC
I can confirm as well on gentoo.
Comment 33 Nick Shaforostoff 2010-12-27 13:13:32 UTC
SVN commit 1209585 by shaforo:

CCBUG: 249373

temporary workaround for Qt 4.7.1 regression.



 M  +5 -1      xlifftextedit.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1209585
Comment 34 Nick Shaforostoff 2010-12-27 13:15:04 UTC
i'm not sure the workaround works. i installed Qt 4.7.1 from Debian experimental, and experienced no crashes/garbage
Comment 35 Frederik Schwarzer 2010-12-27 16:13:08 UTC
Just compiled Lokalize from trunk and still have the problem.
With 4.7.1 (Debian packages) if I remove several characters from the end of a sring, then switch to another string and back, some of the characters are there again. It seems that only the character removed first is gone for good, the rest remains.
Comment 36 Marian Kyral 2010-12-27 23:10:32 UTC
Hi,
I tested both patches (qt and this one) and looks like it works. At least there was no garbage during about two hours.
Comment 37 Bikov Rinat 2011-01-06 06:33:55 UTC
Created attachment 55636 [details]
New crash information added by DrKonqi

lokalize (1.1) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.1

- What I was doing when the application crashed:
1. Open Lokalize with po-file.
2. Seek at the end of translation string.
3. Type BackSpace.

If you type BackSpace not on the end of translation message, lokalize don't crash.

-- Backtrace (Reduced):
#8  0xb69d8744 in QTextCursor::movePosition(QTextCursor::MoveOperation, QTextCursor::MoveMode, int) () from /usr/lib/libQtGui.so.4
#9  0xb69d8b48 in QTextCursor::select(QTextCursor::SelectionType) () from /usr/lib/libQtGui.so.4
[...]
[...]
[...]
[...]
[...]
#15 0xb6da65cf in QTextDocument::contentsChange(int, int, int) () from /usr/lib/libQtGui.so.4
[...]
[...]
[...]
[...]
#20 0xb69d8fa9 in QTextCursor::deletePreviousChar() () from /usr/lib/libQtGui.so.4
[...]
#22 0xb6979945 in QTextControl::processEvent(QEvent*, QMatrix const&, QWidget*) () from /usr/lib/libQtGui.so.4
Comment 38 2011-01-07 22:35:53 UTC
I can confirm this bug, and this happens with qt-4.7.1, in trunk revision 1212665.

Also now lokalize is terribly slow and starts eating allmost all cpu...
Comment 39 Dimitrios Glentadakis 2011-01-12 20:49:35 UTC
For me the problem is solved after the last update (qt4-common-4.7.1-0.1mdv2010.2).
Thanks to mikala for providing the packages for Mandriva with the patch.
Comment 40 2011-01-12 23:17:01 UTC
Only for you thats not using trunk, simply using mandriva packages.
Im using qt4-4.7.1 with kdesdk from trunk.

In fact this bug was eventually fixed with qt4-4.7.1, but with latest changes from trunk this bug appeared again.
Comment 41 Nick Shaforostoff 2011-01-13 03:52:15 UTC
Zé: Lokalize is slow for you even when 'prefetch TM suggestions on file load' option is inactive (in preferences)?

is the slowness related to this bug?
Comment 42 2011-01-13 04:41:26 UTC
In fact isnt related with this bug.

Also to refer that after desactivated the option 'prefetch TM suggestions on file load' lokalize wasnt so slow.

But the main problem that puts lokalize so slow is that creates hundreds of kio_file processes and also creates at least 2 lokalize processes.

Never saw a translator editor with so much problems like now lokalize haves.

I remember that the translator editor Kbabel that existed in kde 3.5 it worked almost fine, and it was possible to work also with its catalog manager, and with lokalize isnt possible to work with the catalog manager.
Comment 43 Dimitrios Glentadakis 2011-01-15 10:56:38 UTC
(In reply to comment #39)
> For me the problem is solved after the last update
> (qt4-common-4.7.1-0.1mdv2010.2).
> Thanks to mikala for providing the packages for Mandriva with the patch.

but now i have the junk left in strings problem: https://bugs.kde.org/show_bug.cgi?id=249373#c28
Comment 44 Frederik Schwarzer 2011-01-15 11:29:35 UTC
Yes. To make that clear. With Qt 4.7.1 from Nokia Lokalize 1.1 crashes. If you are using distro packages of Qt 4.7.1 and you distro backported the commit from comment #21, Lokalize 1.1 will produce garbage at the end of the line if you use Backspace there.

Nick commited a fix (workaround?) (see comment #33)
Unfortunately my box is currently pretty much fucked-up so I cannot test it.

I will discuss with the Debian packager to drop the patch again because a crash is less harmful (you can prepare by saving often or by not using Backspace) than a silent data corruption.

I suggest you talk to your distro's packagers as well. They might share that concern.
Comment 45 Nick Shaforostoff 2011-01-15 16:36:04 UTC
[offtopic]
Zé: what exactly is slow for you? on my machine there is only one lokalize process, and it creates 90 kio_file slaves, which use 0.3*90=27 megabytes of ram. they are not taking any cpu time and disappear in few minutes. also this is kdelibs problem actually.
Comment 46 2011-01-16 00:54:12 UTC
Why dont you try create a project, all the problems i refered will start happening.
By the way int possible also.
Comment 47 Frederik Schwarzer 2011-01-16 06:37:12 UTC
Please stay on topic here. If you have other problems with Lokalize than the crash/data corruption caused by the backspace key, please open another report.

Note: Just because an issue is clearly reproducible for you, does not mean, it is for everybody. So if you want to see your problem fixed, you cannot rely on the developer to being able to see it as clearly as you do.
Comment 48 Dimitrios Glentadakis 2011-01-16 16:02:52 UTC
(In reply to comment #44)
> Yes. To make that clear. With Qt 4.7.1 from Nokia Lokalize 1.1 crashes. If you
> are using distro packages of Qt 4.7.1 and you distro backported the commit from
> comment #21, Lokalize 1.1 will produce garbage at the end of the line if you
> use Backspace there.
> 
> Nick commited a fix (workaround?) (see comment #33)
> Unfortunately my box is currently pretty much fucked-up so I cannot test it.
> 
> I will discuss with the Debian packager to drop the patch again because a crash
> is less harmful (you can prepare by saving often or by not using Backspace)
> than a silent data corruption.
> 
> I suggest you talk to your distro's packagers as well. They might share that
> concern.

After the last update, i have no more the garbage problem.

* Sat Jan 15 2011 John Balcaen <mikala@mandriva.org> 1:4.5.5-0.1mdv2010.2
- Add patch #100 from upstream as a temporary workaround for kde #249373

So the above workarround worked here.
Comment 49 Frederik Schwarzer 2011-01-26 00:09:33 UTC
After Nick provided a minimal example (hurray), Nokia was able to fix this.
I did not test it, but this commit in addition to the former commit (comment #21) is supposed to fix the issue.
Comment 50 Frederik Schwarzer 2011-01-26 00:10:13 UTC
And here is the commit: http://qt.gitorious.org/qt/qt/commit/34c297faca93e1286573b2a01127e4e7af00aff2

:)
Comment 51 Nick Shaforostoff 2011-01-26 10:23:56 UTC
yeah thanks everyone involved in the testing, investigation and fixing :)

Lokalize in KDE 4.6 will come with workaround for the bug, so it may be used with any Qt version, on the other hand Lokalize from trunk requires a fix.
Comment 52 Nick Shaforostoff 2011-02-25 11:22:57 UTC
*** Bug 267117 has been marked as a duplicate of this bug. ***